// gnome.xonotic.in.ua

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

models/mapobjects/gratelamp/gratetorch2b
{
	cull disable
	{
		map models/mapobjects/gratelamp/gratetorch2b.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/multiplant/pleaf1
{
	surfaceparm alphashadow
	cull none
	{
		map models/mapobjects/multiplant/pleaf1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/pleaf2
{
	surfaceparm alphashadow
	cull none
	{
		map models/mapobjects/multiplant/pleaf2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/pleaf3
{
	surfaceparm alphashadow
	cull none
	{
		map models/mapobjects/multiplant/pleaf3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/palm2/trunk
{
	deformvertexes autosprite2
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map models/mapobjects/palm2/trunk.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/skel/skel
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/skel/skel.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/ctf/blue_telep
{
	cull disable
	surfaceparm nomarks
	surfaceparm trans
	sort additive
	{
		clampmap textures/ctf/blue_telep.tga
		blendfunc add
		tcmod rotate 327
		rgbgen identity
	}
	{
		clampmap textures/ctf/blue_telep2.tga
		blendfunc add
		tcmod rotate -211
		rgbgen identity
	}
	{
		clampmap textures/ctf/telep.tga
		alphafunc ge128
		depthwrite
		tcmod rotate 20
		rgbgen identity
	}
	{
		clampmap textures/ctf/telep.tga
		alphafunc ge128
		depthwrite
		tcmod stretch sin .7 0 0 0
		tcmod rotate -20
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ctf/ctf_blueflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .5 .1
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_blueflag.tga
		rgbgen identity
	}
	{
		map textures/effects/redflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/ctf/ctf_blueflag.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/ctf/ctf_redflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_redflag.tga
		rgbgen identity
	}
	{
		map textures/effects/blueflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/ctf/ctf_redflag.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/ctf/red_telep
{
	cull disable
	surfaceparm nomarks
	surfaceparm trans
	{
		clampmap textures/ctf/red_telep.tga
		blendfunc add
		tcmod rotate 327
		rgbgen identity
	}
	{
		clampmap textures/ctf/red_telep2.tga
		blendfunc add
		tcmod rotate -211
		rgbgen identity
	}
	{
		clampmap textures/ctf/telep.tga
		alphafunc ge128
		tcmod rotate 20
		rgbgen identity
	}
	{
		clampmap textures/ctf/telep.tga
		alphafunc ge128
		tcmod stretch sin .7 0 0 0
		tcmod rotate -20
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/geit/g_egypt_blue
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/geit/g_egypt_blue.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/geit/g_egypt_red
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/geit/g_egypt_red.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/geit/geit3ctf3_skybox
{
	qer_editorimage textures/mudriver/valley_view.tga
	q3map_lightimage textures/geit/g_egypt_light.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 225
	surfaceparm sky
	q3map_sun 1.00 0.949 0.977 100 200 45
	skyparms env/sb-desert/sb-desert512 - -
}

textures/geit/hiero_sfx_blue
{
	qer_editorimage textures/geit/heiro_02_sfx.tga
	surfaceparm nonsolid
	cull twosided
	{
		map textures/geit/heiro_02_sfx.tga
		rgbgen identity
	}
	{
		map textures/sfx/proto_zzztblu3.tga
		tcgen environment
		tcmod turb 0 0.25 0 0.5
		tcmod scroll 1 1
		blendfunc gl_one gl_one
	}
	{
		map textures/geit/g_egypt_beam_yellow.tga
		tcgen environment
		tcmod scroll 0 2
		tcmod scale 0.2 0.2
		blendfunc gl_one gl_one
	}
	{
		map textures/geit/heiro_02_sfx.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/geit/hiero_sfx_red
{
	qer_editorimage textures/geit/heiro_02_sfx.tga
	surfaceparm nonsolid
	cull twosided
	{
		map textures/geit/heiro_02_sfx.tga
		rgbgen identity
	}
	{
		map textures/sfx/proto_zzzt.tga
		tcgen environment
		tcmod turb 0 0.25 0 0.5
		tcmod scroll 1 1
		blendfunc gl_one gl_one
	}
	{
		map textures/geit/g_egypt_beam_yellow.tga
		tcgen environment
		tcmod scroll 0 2
		tcmod scale 0.2 0.2
		blendfunc gl_one gl_one
	}
	{
		map textures/geit/heiro_02_sfx.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/geit/ld_eagle
{
	cull disable
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	deformvertexes move 1 0 0.5 sin 0 48 0 0.042
	{
		map textures/geit/ld_eagle.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/geit/lighttrick_yellow_50
{
	qer_editorimage textures/geit/g_egypt_light_2.tga
	q3map_lightimage textures/geit/g_egypt_light_2.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 100
	skyparms - - -
	light 1
}

textures/geit/lighttrick_yellow_50_2
{
	qer_editorimage textures/geit/g_egypt_light_2_50.tga
	q3map_lightimage textures/geit/g_egypt_light_2.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 50
	skyparms - - -
	light 1
}

textures/geit/spider1
{
	qer_editorimage textures/geit/spider1.tga
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	tesssize 256
	deformvertexes wave 256 sin 0 4 0 0.2
	{
		map textures/geit/spider1.tga
		blendfunc add
		rgbgen identity
	}
}

textures/mrcleantex_2/ankhlite_blu_1000
{
	qer_editorimage textures/mrcleantex_2/ankhlite_blu.tga
	q3map_surfacelight 1000
	q3map_lightimage textures/mrcleantex_2/ankhlite_blu.blend.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/mrcleantex_2/ankhlite_blu.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/mrcleantex_2/ankhlite_blu.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/mrcleantex_2/ankhlite_red_1000
{
	qer_editorimage textures/mrcleantex_2/ankhlite_red.tga
	q3map_surfacelight 1000
	q3map_lightimage textures/mrcleantex_2/ankhlite_red.blend.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/mrcleantex_2/ankhlite_red.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/mrcleantex_2/ankhlite_red.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/sfx/beam_blue
{
	qer_editorimage textures/sfx/beam_blue4.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .6
	cull none
	{
		map textures/sfx/beam_blue4.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

textures/sfx/beam_red
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none
	{
		map textures/sfx/beam_red.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

textures/sfx/bounce_largeblock3b
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_largeblock3b.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/flame2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5500
	qer_editorimage textures/sfx/flame2.tga
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

